Subject: bug#57483: 28.1.91; expand hl-line-mode to highlight-line-mode for readability

From: Van Ly <[email-masked]>
Date: Tue, 30 Aug 2022 11:40:02 +0000 (UTC)

On Tue, 30 Aug 2022, Lars Ingebrigtsen wrote:

>
> But I don't think completing hl to highlight-line-mode would make much
> sense, even if it was possible, because nobody would be typing `M-x hl
> TAB' in the first place without knowing that the mode was called
> `hl-line-mode'.
>

When I have my muddled together emacs configuration not running 
from "emacs -Q" the following shows

  M-x hl
  hl-line-mode
  hi-lock-mode
  holiday-list
  ...

true, I don't use "M-x hl TAB" but "M-x hl C-j" to take the option 
at top of the listing.  I think more sense is gained from

  M-x hl
  highlight-line-mode
  ...